Create, schedule, and publish outbound content. Supports drafts (create, update, patch, fetch, delete, schedule, and workflow update), scheduling and fetching posts, deleting scheduled or published posts, sending or replying to private messages, and updating post workflow properties by status ID and account ID.
Security
bearerAuth and apiKeyAuth
Tags, campaign, url shortener and other sprinklr workflow properties to be added to the message
- Mock serverhttps://developer.sprinklr.com/_mock/apis/sprinklr-v3/publishing/draft
- Production Serverhttps://api3.sprinklr.com/prod/api/v3/publishing/draft
curl -i -X POST \
https://developer.sprinklr.com/_mock/apis/sprinklr-v3/publishing/draft \
-H 'Authorization: Bearer <YOUR_Token_HERE>' \
-H 'Content-Type: application/json' \
-H 'Key: YOUR_API_KEY_HERE' \
-d '{
"content": {
"title": "string",
"titleHash": "string",
"text": "string",
"textHash": "string",
"richText": "string",
"postbackPayload": "string",
"attachment": {
"type": "IMAGE",
"assetId": "string",
"attachmentOptions": [
{
"channelType": "FACEBOOK",
"accountId": 0,
"embeddable": true,
"category": "string",
"noStory": true,
"secret": true,
"blockSocialActions": true,
"expirationEnabled": true,
"expirationDate": 0,
"deletePost": true
}
],
"url": "string",
"urlHash": "string",
"title": "string",
"description": "string",
"previewUrl": "string",
"hashedPreviewUrl": "string",
"mimeType": "string",
"alternateText": "string",
"height": 0.1,
"width": 0.1,
"encryptedUrl": "string",
"sizeInBytes": 0
},
"templateId": "string",
"isRichText": true
},
"channelOptions": [
{
"channelType": "FACEBOOK",
"accountId": 0,
"scheduleNatively": true,
"darkPost": true,
"publishViaMobile": true
}
],
"scheduleDate": 0,
"taxonomy": {
"name": "string",
"campaignId": "string",
"subCampaignId": "string",
"clientCustomProperties": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"partnerCustomProperties": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"tags": [
"string"
],
"urlShortenerId": "string"
},
"approval": {
"type": {
"text": {},
"value": "string"
},
"id": "string"
},
"status": "string",
"sourceLocale": "string",
"contentLocale": "string",
"autoResponse": true,
"createdTime": 0,
"modifiedTime": 0,
"authorId": 0,
"customPropertiesMetadata": [
{
"fieldName": "string",
"type": "string",
"label": "string",
"clientCustomProperty": true,
"values": [
"string"
]
}
],
"externalId": "string",
"id": 0,
"accountIds": [
0
],
"accountGroupIds": [
"string"
],
"creationSource": "string",
"inReplyToMessageId": "string",
"version": 0,
"contentTemplateIds": [
"string"
],
"accountTypes": [
"string"
],
"variantDetails": {
"variant": true,
"variantParentMessageId": "string",
"hasVariants": true
},
"audienceIds": [
"string"
],
"channelRichContent": [
{
"property1": "string",
"property2": "string"
}
]
}'